FLANG

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
fir::detail::DimsTypeStorage Struct Reference
Inheritance diagram for fir::detail::DimsTypeStorage:

## Public Types
using | KeyTy = unsigned

## Public Member Functions
bool | operator== (const KeyTy &key) const
unsigned | getRank () const

## Static Public Member Functions
static unsigned | hashKey (const KeyTy &key)
static DimsTypeStorage * | construct (mlir::TypeStorageAllocator &allocator, unsigned rank)

## Protected Attributes
unsigned | rank

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRType.cpp